post
https://api.test.kalixa.com/PaymentRedirectionService/PaymentService.svc/pox/handleProviderNotificationToMerchant
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This web-service method processes a request received from an External Payment Provider and will process the payment accordingly. The Merchant System will receive the last state of payment after processing this notification from an External Payment Provider.
handleProviderNotificationToMerchantRequest fields
| field (type, required) | description |
|---|---|
| merchantID (stringID, required) | Merchant ID |
| providerID (int, required) | The ID of the Payment Provider from which the notification comes |
| queryString (secureString) | The query string of the provider notification request |
| headers (array ofkeyStringValuePair) | The headers of the provider notification request |
| content (secureString) | The body of the provider notification request |
| details (array ofkeyStringValuePair) | Not needed (for future extension only) |
handleProviderNotificationToMerchantResponse fields
| field (type, required) | description |
|---|---|
| payment (paymentWithState, required) | The payment updated with a new state (after processing the provider notification). See paymentWithState for more information. |

